Page MenuHomePhabricator

efl/gesture: ignore successive press events in zoom recognizer when canceled
ClosedPublic

Authored by zmike on Jan 27 2020, 11:14 AM.

Details

Summary

cancel is used to indicate that a gesture which has begun to trigger has been
canceled, so if we have already canceled then we should not re-cancel here

Depends on D11206

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jan 27 2020, 11:14 AM
CHAN accepted this revision.Jan 28 2020, 3:10 AM

Reasonable commit. thank you.

This revision is now accepted and ready to land.Jan 28 2020, 3:10 AM
zmike updated this revision to Diff 28685.Jan 29 2020, 11:22 AM
zmike edited the summary of this revision. (Show Details)

rebase/rework

Closed by commit rEFLd62e3f97ada3: efl/gesture: ignore successive press events in zoom recognizer when canceled (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyFeb 5 2020, 1:20 AM
This revision was automatically updated to reflect the committed changes.